# Region Configurations Region Configurations ## Returns a region configuration from the system by its ID. - [DELETE /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/deleteregionconfiguration.md): This method will delete a region configuration with the specified ID. ## Returns a region configuration from the system by its ID. - [GET /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/getregionconfiguration.md): This method will look up a region configuration by the specified ID and return it back. ## Partially updates a region configuration with the specified ID. - [PATCH /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/patchregionconfiguration.md): This method will patch an existing region configuration with the specified ID, using the HTTP PATCH specification. ## Creates a new region configuration record that does not already exist. - [POST /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/createregionconfiguration.md): This method will auto-generate an ID and create a new region configuration. If an ID is specified for the region configuration, an error will be thrown. ## Updates a region configuration with the specified ID. - [PUT /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/updateregionconfiguration.md): This method will update an existing region configuration with the specified ID.